STGETI(3NCARG)

NAME
STGETI - Gets the current value of an internal parameter of type INTEGER.

SYNOPSIS
CALL STGETI (CNM,IVL)

C-BINDING SYNOPSIS
#include <ncarg/ncargC.h>

void c_stgeti(char *cnm, int *ivl)

DESCRIPTION

CNM (CHARACTER, input) is the name of a parameter whose integer value is to be retrieved. Only the first three characters of CNM are examined. The three characters must either be entirely upper or entirely lower case; mixed case is not recognized. It is recommended that the rest of the character string be used to improve the readability of the code. For example, instead of just 'PLR', use 'PLR - Polar Input Mode'.

IVL (INTEGER, output) is a variable in which the value of the parameter specified by CNM is to be returned.

C-BINDING DESCRIPTION
The C-binding argument descriptions are the same as the FORTRAN argument descriptions.

USAGE
This routine allows you to retrieve the current value of Streamlines parameters of type INTEGER. For a complete list of parameters available in this utility, see the streamlines_params man page.

ACCESS
To use STGETI or c_stgeti, load the NCAR Graphics libraries ncarg, ncarg_gks, and ncarg_c, preferably in that order.

MESSAGES
See the streamlines man page for a description of all Streamlines error messages and/or informational messages.

SEE ALSO
Online: stgetc, stgetr, stinit, stream, streamlines, streamlines_params, strset, stsetc, stseti, stsetr, stuixy, stumsl, stumta, stumxy, ncarg_cbind.

Hardcopy: NCAR Graphics Fundamentals, UNIX Version

COPYRIGHT
Copyright (C) 1987-2009
University Corporation for Atmospheric Research
The use of this Software is governed by a License Agreement.